<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="I_PbAppSetting" Enable="1">
		<Plugin ID="GamingLightControl" Bundle="GamingLightControlMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingForce"/>
			<ExtraConfig>
				<DefaultDBFile>RecoverSetting\GL\GamingLightControl.gkdb</DefaultDBFile>
				<DBFile>GamingLightControl.gkdb</DBFile>
				<ActiveTextColor>#FF984B</ActiveTextColor>
				<NormalTextColor>#FFFFFF</NormalTextColor>	
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxPrompter" Enable="1">
		<Plugin ID="GL::Message_zh-TW" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GL::Message_zh-TW"/>
		</Plugin>
		<Plugin ID="GL::Message_zh-CN" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GL::Message_zh-CN"/>
		</Plugin>
		<Plugin ID="GL::Message_en-US" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GL::Message_en-US"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageProvider" Enable="1">
		<Plugin ID="GL::Message_zh-TW" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\Message_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::Message_zh-CN" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\Message_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::Message_en-US" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\Message_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::UIText_zh-TW" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\UIText_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::UIText_zh-CN" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\UIText_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::UIText_en-US" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\UIText_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::UITooltip_zh-TW" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\UITooltip_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::UITooltip_zh-CN" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\UITooltip_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::UITooltip_en-US" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\UITooltip_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::KeyboardHookMapping" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\KeyboardHookMapping.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GL::KeyboardIDMapping" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GL\KeyboardIDMapping.xml</File>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxProvider" Enable="1">
		<Plugin ID="GamingLightControl" Bundle="GamingLightControlMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GL::Message_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GL::Message_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GL::Message_en-US"/>
			<ExtraConfig>
				<Prefix>GL::Message_</Prefix>
				<Language>zh-TW</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbUITextProvider" Enable="1">
		<Plugin ID="GamingLightControl" Bundle="GamingLightControlMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GL::UIText_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GL::UIText_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GL::UIText_en-US"/>
			<ExtraConfig>
				<Prefix>GL::UIText_</Prefix>
				<Language>zh-TW</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GamingLightControlTooltip" Bundle="GamingLightControlMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GL::UITooltip_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GL::UITooltip_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GL::UITooltip_en-US"/>
			<ExtraConfig>
				<Prefix>GL::UITooltip_</Prefix>
				<Language>zh-TW</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>


	<!--ExtensionPoint ID="GL::I_PbUserProfileFacade" Enable="1">
		<Plugin ID="GamingLightControl" Bundle="GamingLightControlProfile.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingLightControl"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingLightControl"/>
			<Collaboration ExtensionPointID="GL::I_PbGamingLightControlPersister" PluginID="GamingLightControl"/>
            <ExtraConfig>
				<Profile InitCreateCount="3" InitUsedCount="1">
				    <ProfileSummary IsActive="0" IsUsed="-1" IsGamingModeEnabled="0" LightControlMode="3" BindHotKeyIndex="-1"/>					
					<LightControlBreathing EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Frequency="11" IsRandom="0" Brightness="15"/>
					<LightControlReactive EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Duration="1" IsRandom="0" Brightness="15"/>
					<LightControlSpectrumCycling Frequency="11" Brightness="15"/>
					<LightControlStatic Color="#0000ff" Brightness="15"/>
					<LightControlWave Direction="0" Frequency="11" Brightness="15"/>
					<LightControlMarquee EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Frequency="11" Direction="0" Brightness="15"/>
					<LightControlHeartBeating EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Frequency="15" IsRandom="0" Brightness="15"/>
					<LightControlCustomizationSummary Brightness="15"/>
				</Profile>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint-->

	<ExtensionPoint ID="GL::I_PbGamingLightControlWriter" Enable="1">
		<Plugin ID="GamingLightControl" Bundle="GamingLightControlWriter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingLightControl"/>
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingForce"/>
			<!--Collaboration ExtensionPointID="GL::I_PbUserProfileFacade" PluginID="GamingLightControl"/>
			<Collaboration ExtensionPointID="GL::I_PbGamingLightControlMacroFacade" PluginID="GamingLightControl"/-->
			<Collaboration ExtensionPointID="GL::I_PbGamingLightControlStorage" PluginID="GamingLightControl"/>
			<ExtraConfig>
				<MemoryType>0</MemoryType> <!--0:EEPROM, 1:Flash-->
				<CommandDelayTime>10</CommandDelayTime>
				<ToolType>0</ToolType>     <!--0: Gaming Force, 1: Gaming Force Z-->
				<DeviceArrivalDelayTime>1000</DeviceArrivalDelayTime>
				
				<DevRGBChannelR>R</DevRGBChannelR>
				<DevRGBChannelG>G</DevRGBChannelG>
				<DevRGBChannelB>B</DevRGBChannelB>

				<EnableLightingMode>
					<Item>BreathingMode</Item>					
					<Item>SpectrumCyclingMode</Item>
					<Item>StaticMode</Item>
					<Item>WaveMode</Item>
					<Item>MarqueeMode</Item>
					<Item>HeartBeatingMode</Item>								
				</EnableLightingMode>				
				<LightBrightnessLevel>
					<Value>0</Value>
					<Value>45</Value>
					<Value>60</Value>
					<Value>75</Value>
					<Value>90</Value>
					<Value>105</Value>
					<Value>120</Value>
					<Value>135</Value>
					<Value>150</Value>
					<Value>165</Value>
					<Value>180</Value>
					<Value>195</Value>
					<Value>210</Value>
					<Value>225</Value>
					<Value>240</Value>
					<Value>255</Value>
				</LightBrightnessLevel>
				<LightFrequencyLevel>					
					<Value>38</Value>
					<Value>36</Value>
					<Value>34</Value>
					<Value>32</Value>
					<Value>30</Value>
					<Value>28</Value>
					<Value>26</Value>
					<Value>24</Value>
					<Value>22</Value>
					<Value>20</Value>
					<Value>18</Value> 
					<Value>16</Value>
					<Value>14</Value>
					<Value>12</Value>
					<Value>10</Value>
					<Value>8</Value>
				</LightFrequencyLevel>
				<!--ColorMappings>
					<ColorMapping OriColor="#ff9b9b" DevColor="#FF3030"/>				
					<ColorMapping OriColor="#ff4b4b" DevColor="#FF0A0A"/>
					
					<ColorMapping OriColor="#ffaf9b" DevColor="#FF8020"/>	
					<ColorMapping OriColor="#ff7d37" DevColor="#FF8000"/>	
					<ColorMapping OriColor="#ff5a00" DevColor="#C03000"/>						
					<ColorMapping OriColor="#cd3200" DevColor="#200A00"/>	
					
					<ColorMapping OriColor="#ffff78" DevColor="#908020"/>	
					<ColorMapping OriColor="#ffd746" DevColor="#908009"/>	
					<ColorMapping OriColor="#ffcd00" DevColor="#907000"/>						
					<ColorMapping OriColor="#ff9b00" DevColor="#2C1900"/>					
					
					<ColorMapping OriColor="#73ff73" DevColor="#30FF10"/>	
					<ColorMapping OriColor="#00ff00" DevColor="#10FF07"/>	
					<ColorMapping OriColor="#009600" DevColor="#00A000"/>						
					<ColorMapping OriColor="#006400" DevColor="#003000"/>
					
					<ColorMapping OriColor="#0096ff" DevColor="#0096FF"/>
					<ColorMapping OriColor="#0000ff" DevColor="#0000FF"/>
					<ColorMapping OriColor="#000096" DevColor="#000080"/>
					
					<ColorMapping OriColor="#af78ff" DevColor="#913CFF"/>	
					<ColorMapping OriColor="#913cff" DevColor="#9100FF"/>	
					<ColorMapping OriColor="#6900ff" DevColor="#3C0096"/>						
					<ColorMapping OriColor="#3c0096" DevColor="#200050"/>					
					
					<ColorMapping OriColor="#a0a0a0" DevColor="#202020"/>	
					<ColorMapping OriColor="#5a5a5a" DevColor="#101010"/>						
					
				</ColorMappings-->			
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GL::I_PbGamingLightControlStorage" Enable="1">
		<Plugin ID="GamingLightControl" Bundle="GamingLightControlStorage.dll" Enable="1"/>	
	</ExtensionPoint>
	
	<!--ExtensionPoint ID="GL::I_PbGamingLightControlPersister" Enable="1">
		<Plugin ID="GamingLightControl" Bundle="GamingLightControlPersister.dll" Enable="1">
			<ExtraConfig>
				<File>GamingLightControl.gkdb</File>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint-->

	<!--ExtensionPoint ID="CWTWidgetFactoryEx" Enable="1">
		<Plugin ID="GL::KeyDecorator" Bundle="GamingLightControlMain.dll" Enable="1">
			<ExtraConfig>
				<Style>NoEffect</Style> 
				<Frame Alpha="255" Color="#FFFFFF"/>
				<Pane Alpha="135" Color="#00D7FF"/>
				<CustomizeUIBKFile>Image\GL\Theme1\DialogCustomize.png</CustomizeUIBKFile> 
				<LightUIBKFile>Image\GL\Theme1\DialogLightingAdv.png</LightUIBKFile> 
				<ConfiguratorDialogUIBKFile>Image\GL\Theme1\DialogConfigurator.png</ConfiguratorDialogUIBKFile> 
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint-->

	<ExtensionPoint ID="I_PbSubAppDelegation" Enable="1">
		<Plugin ID="GamingLightControl" Bundle="GamingLightControlMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingLightControl"/>
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingLightControl"/>
			<Collaboration ExtensionPointID="GL::I_PbGamingLightControlWriter" PluginID="GamingLightControl"/>
			<!--Collaboration ExtensionPointID="GL::I_PbGamingLightControlPersister" PluginID="GamingLightControl"/>			
			<Collaboration ExtensionPointID="GL::I_PbUserProfileFacade" PluginID="GamingLightControl"/-->
			<Collaboration ExtensionPointID="GL::I_PbGamingLightControlStorage" PluginID="GamingLightControl"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GL::LightingUI"/>			
		</Plugin>
	</ExtensionPoint>

	<NextPluginFile>Skin.xml</NextPluginFile>
	<NextPluginFile>SkinDialog.xml</NextPluginFile>
	
	<NextPluginFile>LightingAdvUI.xml</NextPluginFile>
	<!--NextPluginFile>ProfileDialog.xml</NextPluginFile-->
	<!--NextPluginFile>RenameDialog.xml</NextPluginFile-->
	<NextPluginFile>LightingPaletteDialog.xml</NextPluginFile>
    <!--NextPluginFile>LightingAdvUI.xml</NextPluginFile>	
	<NextPluginFile>ConfiguratorDialog.xml</NextPluginFile>
	

	
	<NextPluginFile>MacroEditDialog.xml</NextPluginFile>
	<NextPluginFile>DelayTimeDialog.xml</NextPluginFile-->
	
</File>
